/*
// Blog Page
*/
:root {
	--element-border-radius: 5px;
	--input-border-radius: 5px;
	--accent-color: red;
	--text-weight: bold;
	--bold-weight: bold;
}
.view-blog-category .l-inner {
	background: none;
	box-shadow: none;
	padding: 0;
}

/* [critical blogpage] */
.blog-archive-entry {
	margin-bottom: 15px;
	padding: 3px 3px 3px 7px;
	border: 1px solid #eee;

	background: #fafafa;
	font-size: 13px;
}

.blog-archive-entry .view-info {
	padding: 1px 0 0 0;
	margin: 0;
}

.blog-archive-entry .view-all {
	float: right;

	font-size: 11px;
}

.blog-filter__toggle,
.blog-filter {
	display: none;
}

.is-comment-error {
	border-color: var(--accent-color) !important;

	background: #fff1f1 !important;
}

.comments {
	padding: 5px;
}

.no-comments-heading {
	margin: 20px 0 0 0;

	color: #888;
	font-size: 15px;
	font-weight: var(--text-weight);
	text-align: center;
}

.comments-heading {
	margin: 25px 0 10px 0;

	font-weight: var(--text-weight);
}

.comment-thumbnail {
	border-radius: min(var(--element-border-radius), 4px);
}

.leave-comment {
	margin-bottom: 15px;
}

.comment-area {
	border: 2px solid #ddd;
	border-radius: min(var(--element-border-radius), 4px);
}

.comment-area textarea {
	border: 0;
	height: 70px;
	padding: 5px 7px;
	width: 100%;

	font-size: 13px;

	resize: none;
}

.comment-area__footer {
	border-top: 1px solid #ddd;
	padding: 2px;

	background: #eee;
}

.comment-area__submit {
	float: right;
	padding: 7px 22px 8px 22px;
}

.comment-area__commentuser {
	overflow: hidden;
	padding-right: 2px;
}

.comment-area__commentuser input {
	border: 1px solid #ccc;
	border-radius: var(--input-border-radius);
	padding: 5px 6px 6px;
	width: 100%;

	background: #fff;
	font-size: 13px;
}

.comment-area__newsign {
	display: inline-block;
	padding: 6px 8px;
}

.the-comment {
	border-bottom: 1px solid #eee;
	margin-bottom: 15px;
	padding-bottom: 15px;
}

.the-comment:last-child {
	border: 0;
}

.the-comment:hover .the-comment__delete {
	display: inline-block;
}

.the-comment__delete {
	display: none;
	float: right;
}

.the-comment__delete:hover {
	text-decoration: none;
}

.the-comment__delete .icon {
	color: #d4463d;
	font-size: 14px;
}

.the-comment__header {
	padding: 1px 0 3px 0;

	font-size: 12px;
}

.the-comment__message {
	font-size: 13px;
}

.the-comment__author {
	font-weight: var(--bold-weight);
}

.the-comment__timestamp {
	color: #555;
}

.the-comment__separator {
	display: inline-block;
	padding: 0 3px;

	color: #aaa;
}

.the-comment__canceldelete {
	border-bottom: 1px solid #eee;
	display: none;
	margin-bottom: 15px;
	padding-bottom: 15px;

	font-size: 11px;
}

.the-comment__message-answer {
	padding-left: 20px;

	font-size: 13px;
}

/* Blog view */
.blog-post {
   margin-bottom: 20px;
}

.blog-post__header {
	height: 250px;
}
.blog-post__header, .blog-category__header {
	display: flex;
	flex-direction: row;
	align-content: center;
	justify-content: space-between;
	align-items: flex-start;
	flex-wrap: wrap;
	width: 100%;
}

.blog-post__header_title_container, .blog-category__title_container {
	padding-top:40px;
	display: flex;
	flex-direction: column;
	flex-basis: 100%;
	flex: 1;
}

.blog-post__img, .blog-category__img {
	display: flex;
	flex-direction: column;
	flex-basis: 100%;
	flex: 1;
	overflow: hidden;
	height: 250px;
}

.view-blog-category .blog-category__img img, .view-blogpost .blog-post__img img {
	object-fit: cover;
	height: 100%;
	width: 100%;
}


.blog-post__title {
	font-size: 38px;
	line-height: 1.25;
}

.blog-breadcrumbs {
	list-style-type: none;
	margin: 0;
	padding: 0;
	display: flex;
	flex-direction: row;
	justify-content: flex-start;
	flex-wrap: wrap;
}
.blog-breadcrumbs li, .blog-breadcrumbs li a {
	text-decoration: none;
	font-size: 18px;
	font-weight: 400;
}

.blog-breadcrumbs li a:after {
	display: inline-block;
	content: "/";
	padding-inline: 5px;
}

.blog-post__body {
	margin-bottom: 20px;
}

.blog-post__footer {
	position: relative;

	border: 1px solid transparent;
	border-top-color: #ddd;
	border-bottom-color: #ddd;
	margin-top: 50px;
	margin-bottom: 10px;
	padding-top: 8px;
	padding-bottom: 8px;

	clear: both;
}

.blog-tags {
	padding: 0;
}

.blog-item__tag {
	border: 1px solid #dcdcdc;
	display: inline-block;
	padding: 4px 10px;
	margin: 5px;
}

/* List view */
   .blog-post__thumbnail {
	   float: right;
	   height: 200px;
	   margin-left: 10px;
	   width: 30%;

	   text-align: center;
	   line-height: 199px;
   }

.blog-post__title h2 {
	color: #000;
}

.blog-post__title:hover {
	text-decoration: none;
}

.blog-post__comments {
	float: right;
}

.blog-post .blog-post__link {
	position: relative;
	top: unset;
	left: unset;
}

.blog-post__link a:hover,
.blog-post__link a:focus {
	background-color: #c62b1e;
}

.blog-post__link a {
	padding: 10px 15px;
	background-color: #a60000;
	vertical-align: middle;
	color: #FFF;
	text-decoration: none;
	border-radius: 5px;
	font-weight: bold;
}

.blog-post__link .icon, .blog-post__link .wgr-icon {
	margin-left: 5px;
	height: 15px;
	width: 10px;
	vertical-align: middle;
}

@media all and (min-width: 769px) {
	.blog-filter__toggle {
		display: inline-block;
		margin-bottom: 10px;
		width: 49%;

		vertical-align: top;
	}

	.blog-filter__toggle h5 {
		position: relative;

		border: 1px solid #dcdcdc;
		margin-bottom: 0;
		padding: 2px 10px;

		background: #eee;
		font-weight: var(--text-weight);
		vertical-align: top;
	}

	.blog-filter__toggle__on,
	.blog-filter__toggle__off {
		position: absolute;
		top: 0;
		right: 5px;
		bottom: 0;

		height: 14px;
		margin: auto;

		font-size: 14px;
	}

	.blog-filter__toggle__on,
	.is-active .blog-filter__toggle__off {
		display: none;
	}

	.is-active .blog-filter__toggle__on {
		display: block;
	}

	.blog-filter {
		margin-bottom: 10px;
	}

	.blog-filter ul {
		display: inline-block;
		margin: 0;
		margin-left: -5px;
		padding: 0;
	}

	.blog-filter select {
		max-width: 450px;
		margin-top: 5px;
	}
}

@media all and (max-width: 768px) {
	.blog-filter__toggle {
		width: 100%;
	}

	.blog-post__thumbnail {
		float: none;

		height: 200px;
		margin-left: 10px;
		width: 100%;

		text-align: center;
		line-height: 199px;
	}

	.blog-post__footer span {
		font-size: 11px;
	}

	.blog-post__comments {
		float: none;
	}

	.blog-post__comments:before {
		content: ' / ';
	}
}
/* [/critical] */

.blog-post .blog-post__thumbnail {
	float: unset;
	height: 200px;
	margin: 0;
	width: 100%;
	/* text-align: center; */
	/* line-height: 199px; */
	overflow: hidden;
	margin-top: -1px;
}

.blog-post__thumbnail img {
	height: 100%;
	width: 100%;
	object-fit: cover;
}
.blog-post .blog-post__title {
	padding-block: 10px;
}

.icon {
	display: inline-block;
	width: 1em;
	height: 1em;

	fill: currentColor;
	pointer-events: none;
	stroke-width: 0;
	stroke: currentColor;
}
.blog-categories {
	margin-bottom: 50px;
}
.blog-category {
	margin-top: 50px;
}
.blog-category:first-child {
	margin-top: 10px;
}

.blog-category__header {
	margin-bottom: 15px;
	box-shadow: 1px 1px 2px rgba(0, 0, 0, .1);
	margin-bottom: 15px;
	border-bottom: 1px solid #dcdcdc;
	background: #fff;
}

.blog-category__title h2 {
	margin: 0;
}
.blog-category__header h3 {
	padding: 0;
	margin: 0;
}

.view-blog-category .blog-category__header {
	flex-wrap: wrap;
	padding: 2%;
}

.view-blog .blog-category .blog-category__header {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	padding: 10px;
}

.view-blog .blog-category__body, .view-blog-category .blog-category__body {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
}

.view-blog .blog-post, .view-blog-category .blog-post {
	position: relative;
	display: flex;
	flex-direction: column;
	align-content: flex-start;
	justify-content: flex-start;
	align-items: flex-start;
	width: 250px;
	overflow: hidden;
	box-shadow: 1px 1px 2px rgba(0, 0, 0, .1);
	margin-bottom: 15px;
	border-bottom: 1px solid #dcdcdc;
	background: #fff;
	margin-right: 15px;
	height: 470px;
}

.view-blog .blog-post:last-child, .view-blog-category .blog-post:last-child {
	margin-right: 0;
}

.view-blog .blog-post__body, .view-blog .blog-post__title,
.view-blog-category .blog-post__body, .view-blog-category .blog-post__title {
	padding-inline: 10px;
	display: block;
}

.view-blog .blog-post__footer,
.view-blog-category .blog-post__footer {
	position: absolute;
	bottom: 0;
	border: unset;
	border-top-color: unset;
	border-bottom-color: unset;
	margin-top: 15px;
	margin-bottom: 10px;
	padding-top: 8px;
	padding-bottom: 8px;
	clear: both;
	width: 100%;
	display: flex;
	padding-inline: 10px;
}
.view-blog .blog-post .blog-post__thumbnail,
.view-blog-category .blog-post__thumbnail {
	height: 50%;
	margin: 0;
	width: 100%;
	overflow: hidden;
}

.view-blog .blog-post .blog-post__title,
.view-blog-category .blog-post__title {
	padding-block: 10px;
	color: #000;
	text-decoration: none;
}

.blog-category .blog-post .blog-post__title h3,
.view-blog-category .blog-post__title h4 {
	font-size: 20px;
	margin: 0;
}

.blog-categories__list {
	display: flex;
	flex-direction: row;
	align-content: center;
	list-style: none;
	margin: 0;
	padding: 0;
	column-gap: 20px;
}

.blog-categories__list li a {
	padding: 10px 15px;
	background-color: #a60000;
	vertical-align: middle;
	color: #FFF;
	text-decoration: none;
	border-radius: 5px;
	font-weight: bold;
}

.blog-categories__list li a:hover, .blog-categories__list li a:focus {
	background-color: #c62b1e;
}

@media all and (max-width: 480px) {
	.view-blog-category .blog-category__text, .view-blog-category .blog-category__img {
		width: 100%;
		overflow: hidden;
	}
	.view-blog-category .blog-category__img {
		max-height: 150px;
	}

	.view-blog-category .blog-category__img {
		max-height: 250px;
	}
	.blog-categories .blog-post {
		width: 100vw;
	}
	.blog-categories.view-blog-category .blog-post {
		width: 100vw;
	}
}

@media all and (max-width: 1000px) {
	.blog-post__header, .blog-category__header {
		position: relative;
		margin: -3%;
		width: 106%;
	}

	.view-blog-category .blog-category__header {
		position: relative;
		margin: unset;
		width: 100%;
		padding: unset;
	}

		.blog-post__img, .blog-category__img {
		/*margin-left: -2.1%;
		margin-right: -2.1%;
		margin-top: -2.1%;*/
		margin-left: -1px;
	}
	.blog-post__img:before, .blog-category__img:before {
		display: block;
		content: '';
		position: absolute;
		height: 100%;
		width: 100%;
		z-index: 99;
		background: linear-gradient(0deg, rgba(0, 0, 0, 0.9) 0%, rgba(0, 0, 0, 0) 50%);
	}

	.blog-breadcrumbs li, .blog-breadcrumbs li a {
		color: #FFF;
	}

	.blog-post__header_title_container, .blog-category__title_container {
		position: absolute;
		color: #FFF;
		bottom: 0;
		z-index: 100;
		padding-inline: 2%;
	}

	.blog-post__img img, .blog-category__img img {
		position: relative;
		z-index: 98;
		display: block;
	}

	.view-blogpost .blog-post__body, .blog-category__body {
		margin-bottom: 20px;
		margin-top: 20px;
	}
}

.splide {
	height: 380px;
}
.splide__pagination__page {
	width: 20px;
	height: 20px;
}
.splide__pagination__page:hover {
	background: #a50000;
}
.splide__pagination__page.is-active {
	background: #a50000;
}
.splide__arrow {
	background: #a50000;
}
.splide__arrow svg {
	fill: #ffffff;
	height: 1.2em;
	width: 1.2em;
}
